package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.CustomerTicket;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ics.admin.domain.meeting.vo.UserCustomerVo;

import java.util.List;

/**
 * 企业优惠卷关联Service接口
 * 
 * @author chen
 * @date 2024-02-25
 */
public interface ICustomerTicketService extends IService<CustomerTicket> {
    /**
     * 查询企业优惠卷关联
     * 
     * @param id 企业优惠卷关联ID
     * @return 企业优惠卷关联
     */
    CustomerTicket selectCustomerTicketById(Long id);

    /**
     * 查询企业优惠卷关联列表
     * 
     * @param customerTicket 企业优惠卷关联
     * @return 企业优惠卷关联集合
     */
    List<CustomerTicket> selectCustomerTicketList(CustomerTicket customerTicket);

    /**
     * 新增企业优惠卷关联
     * 
     * @param customerTicket 企业优惠卷关联
     * @return 结果
     */
    int insertCustomerTicket(CustomerTicket customerTicket);

    /**
     * 修改企业优惠卷关联
     * 
     * @param customerTicket 企业优惠卷关联
     * @return 结果
     */
    int updateCustomerTicket(CustomerTicket customerTicket);

    /**
     * 批量删除企业优惠卷关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteCustomerTicketByIds(String ids);

    /**
     * 删除企业优惠卷关联信息
     * 
     * @param id 企业优惠卷关联ID
     * @return 结果
     */
    int deleteCustomerTicketById(Long id);

    List<CustomerTicket> getCustomerTicket(UserCustomerVo userCustomerVo);

    void updateCustomerTicketBYUserId(CustomerTicket customerTicket);

    List<CustomerTicket> selectCustomerTicketByTicketId(Long id);

    List<CustomerTicket> selectListByTicketId(Long id);

    int selectByTicketIdAndCustomer(Long id, Long id1);

    void deleteCustomerTicketByTicketId(Long id);

    List<CustomerTicket> selectCustomerByTicketId(Long id);

    void deleteCustomerTicketByTicketIdAndCustomer(Long id, Long aLong);
}
